include(FetchContent)

if(NOT DEFINED FMT_REPO)
    set(FMT_REPO https://github.com/fmtlib/fmt)
endif ()

FetchContent_Declare(
        fmt
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${FMT_REPO}
        GIT_TAG 10.2.1
        GIT_SHALLOW TRUE
)
FetchContent_MakeAvailable(fmt)
